POST api/vod/schedules/{id}/vods
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
ParamFwSchedulesVod| Name | Description | Type | Additional information |
|---|---|---|---|
| vodId | integer |
None. |
|
| playTime | integer |
None. |
|
| recordStartDate | date |
None. |
|
| recordEndDate | date |
None. |
|
| thumbnail | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"vodId": 1,
"playTime": 2,
"recordStartDate": "2026-04-03T07:44:56.6363229+09:00",
"recordEndDate": "2026-04-03T07:44:56.6363229+09:00",
"thumbnail": "sample string 5"
}
application/xml, text/xml
Sample:
<ParamFwSchedulesVod xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FinUp.Stock.Api.Models.Futurewiz"> <playTime>2</playTime> <recordEndDate>2026-04-03T07:44:56.6363229+09:00</recordEndDate> <recordStartDate>2026-04-03T07:44:56.6363229+09:00</recordStartDate> <thumbnail>sample string 5</thumbnail> <vodId>1</vodId> </ParamFwSchedulesVod>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ResFwSchedulesVods| Name | Description | Type | Additional information |
|---|---|---|---|
| Result | string |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Result": "sample string 1",
"Message": "sample string 2"
}
application/xml, text/xml
Sample:
<ResFwSchedulesVods xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FinUp.Stock.Api.Models.Futurewiz"> <Message>sample string 2</Message> <Result>sample string 1</Result> </ResFwSchedulesVods>